com.creamtec.ajaxswing.laf

## Class AjaxSwingIconFactory

- java.lang.Object
- - com.creamtec.ajaxswing.laf.AjaxSwingIconFactory

- All Implemented Interfaces:
    java.io.Serializable

      public class AjaxSwingIconFactory
      extends java.lang.Object
      implements java.io.Serializable

  Required to override some of default metal theme icons
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static boolean` | `DARK`
    `static boolean` | `LIGHT`
    `static boolean` | `USING_OCEAN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AjaxSwingIconFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `drawBackground(java.awt.Component c, java.awt.Graphics g, java.lang.String key, int x, int y, int width, int height, boolean b)`
    `static javax.swing.Icon` | `getCheckBoxIcon()` Returns a checkbox icon.
    `static javax.swing.Icon` | `getCheckBoxMenuItemIcon()`
    `static javax.swing.Icon` | `getMenuItemCheckIcon()` Returns an icon to be used by `JCheckBoxMenuItem`.
    `static javax.swing.Icon` | `getRadioButtonIcon()`
    `static javax.swing.Icon` | `getRadioButtonMenuItemIcon()`
    `static boolean` | `isLeftToRight(java.awt.Component c)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DARK

          public static final boolean DARK

      See Also:
        Constant Field Values

    - #### LIGHT

          public static final boolean LIGHT

      See Also:
        Constant Field Values

    - #### USING_OCEAN

          public static final boolean USING_OCEAN

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AjaxSwingIconFactory

          public AjaxSwingIconFactory()

  - ### Method Detail

    - #### getRadioButtonIcon

          public static javax.swing.Icon getRadioButtonIcon()

    - #### getCheckBoxIcon

          public static javax.swing.Icon getCheckBoxIcon()

      Returns a checkbox icon.
      Since:
        1.3

    - #### getMenuItemCheckIcon

          public static javax.swing.Icon getMenuItemCheckIcon()

      Returns an icon to be used by `JCheckBoxMenuItem`.
      Returns:
        the default icon for check box menu items, or `null` if no default exists

    - #### getCheckBoxMenuItemIcon

          public static javax.swing.Icon getCheckBoxMenuItemIcon()

    - #### getRadioButtonMenuItemIcon

          public static javax.swing.Icon getRadioButtonMenuItemIcon()

    - #### drawBackground

          public static void drawBackground(java.awt.Component c,
                            java.awt.Graphics g,
                            java.lang.String key,
                            int x,
                            int y,
                            int width,
                            int height,
                            boolean b)

    - #### isLeftToRight

          public static boolean isLeftToRight(java.awt.Component c)

Copyright © 2000-2012 CreamTec LLC. All Rights Reserved.